org.richfaces.renderkit

## Class ColumnGroupRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AbstractRowsRenderer
      - - org.richfaces.renderkit.SortingFilteringRowsRenderer
        - - org.richfaces.renderkit.AbstractTableBaseRenderer
          - - org.richfaces.renderkit.ColumnGroupRenderer

- All Implemented Interfaces:
    DataVisitor

      public class ColumnGroupRenderer
      extends AbstractTableBaseRenderer

  Author:
    Anton Belevich

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.AbstractTableBaseRenderer

      `BREAK_ROW_BEFORE, CELL_CLASS_KEY, COLUMN_CLASS, FIRST_ROW_CLASS_KEY, ROW_CLASS, ROW_CLASS_KEY`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnGroupRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RowHolderBase` | `createRowHolder(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object[] options)`
    `void` | `encodeRow(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, RowHolderBase holder)`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractTableBaseRenderer

      `encodeColumn, encodeColumnEnd, encodeColumnStart, encodeFakeRow, encodeFirstRowEnd, encodeFirstRowStart, encodeRowEnd, encodeRowStart, encodeStyle, encodeStyleClass, getCellClass, getCellElement, getColumnsCount, getFirstRowClass, getRowClass, isEmpty, isEmptyAttr, saveRowStyles, setCellElement`

    - ### Methods inherited from class org.richfaces.renderkit.SortingFilteringRowsRenderer

      `decodeFiltering, decodeSorting, decodeSortingFiltering, isBuiltInSortRequiredFocColumn, isFilterRowRequiredForColumn, renderFilterRow, renderSortButton, updateAttribute`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `doCleanup, doEncodeChildren, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnGroupRenderer

          public ColumnGroupRenderer()

  - ### Method Detail

    - #### encodeRow

          public void encodeRow(javax.faces.context.ResponseWriter writer,
                       javax.faces.context.FacesContext facesContext,
                       RowHolderBase holder)
                         throws IOException

      Specified by:
        `encodeRow` in class `AbstractRowsRenderer`
      Throws:
        `IOException`

    - #### createRowHolder

          public RowHolderBase createRowHolder(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component,
                                      Object[] options)

      Specified by:
        `createRowHolder` in class `AbstractRowsRenderer`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.